# Generated from postcodeinfo-client-ruby-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name postcodeinfo-client-ruby

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Client for postcodeinfo API (https://://github.com/ministryofjustice/postcodeinfo)
License: Open Government License
URL: https://github.com/ministryofjustice/postcodeinfo-client-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(codeclimate-test-reporter)
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Provides a convenient interface for looking up postcodes in an instance of the
MoJ postcodeinfo API (https://github.com/ministryofjustice/postcodeinfo).
Lets you check if a postcode is valid, and lookup:
* all addresses with that postcode
* the latitude/longitude of its centre point
* the name & GSS code of the local authority under which it resides.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%license %{gem_instdir}/LICENSE.MD
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/postcodeinfo-client-ruby.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.1-1
- Initial package
